# QCA::InitializationVector Class Reference
[QCA user API]

Container for initialisation vectors and nonces. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::InitializationVector:

Collaboration diagram for QCA::InitializationVector:

[legend]

List of all members.

## Public Member Functions

| InitializationVector (const QByteArray &a)
| InitializationVector (const SecureArray &a)
| InitializationVector (int size)
| InitializationVector ()

## Detailed Description

Container for initialisation vectors and nonces.

Examples:

  ciphertest.cpp.

## Constructor & Destructor Documentation

QCA::InitializationVector::InitializationVector | ( |  | ) |

Construct an empty (zero length) initisation vector.

QCA::InitializationVector::InitializationVector | ( | int | size | ) |

Construct an initialisation vector of the specified size.

Parameters:

  | size | the length of the initialisation vector, in bytes

QCA::InitializationVector::InitializationVector | ( | const SecureArray & | a | ) |

Construct an initialisation vector from a provided byte array.

Parameters:

  | a | the byte array to copy

QCA::InitializationVector::InitializationVector | ( | const QByteArray & | a | ) |

Construct an initialisation vector from a provided byte array.

Parameters:

  | a | the byte array to copy

The documentation for this class was generated from the following file:

- qca_core.h